Bug 808894 - Firefox icon disappears from dock after upgrade from F16 to F17
Summary: Firefox icon disappears from dock after upgrade from F16 to F17
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 17
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-01 14:47 UTC by Jonathan Kamens
Modified: 2012-04-22 04:17 UTC (History)
4 users (show)

Fixed In Version: cogl-1.10.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 865722 865723 (view as bug list)
Environment:
Last Closed: 2012-04-22 04:17:08 UTC
Type: ---


Attachments (Terms of Use)

Description Jonathan Kamens 2012-04-01 14:47:53 UTC
After upgrading from F16 to F17 as per https://fedoraproject.org/wiki/Upgrading_Fedora_using_yum, the Firefox icon which had previously been in my dock as one of my favorites disappeared. It was easy enough to restore it by running Firefox and right-clicking on it and doing "Add to favorites", but this probably shouldn't have been necessary.

Comment 1 Owen Taylor 2012-04-05 22:26:18 UTC
Hmm, the problem is that the Mozilla desktop file changed names from F16 to F17 - from mozilla-firefox.desktop to firefox.desktop.

We changed the default accordingly, but if you modified things from the default, then the old default was "fossilized" into your gsettings, and then loading mozilla-firefox failed.

There's no clean fix, but having the web browser vanish on upgrade is fairly serious, so I think we probably need a Fedora-specific patch that checks for mozilla-firefox.desktop when loading the key from GSettings and replaces it with firefox.desktop

Comment 2 Owen Taylor 2012-04-05 22:49:02 UTC
I pushed a patch to fedora-git:

* Thu Apr  5 2012 Owen Taylor <otaylor@redhat.com> - 3.4.0-2
- Change gnome-shell-favourite-apps-firefox.patch to also patch the JS code
  to handle the transition from mozilla-firefox.desktop to firefox.desktop.
  (#808894, reported by Jonathan Kamens)

Will be picked up next time we build a GNOME Shell.

Comment 3 Fedora Update System 2012-04-18 15:19:28 UTC
aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17

Comment 4 Fedora Update System 2012-04-18 22:12:31 UTC
Package aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2012-04-20 06:04:15 UTC
Package cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing cogl-1.10.2-1.fc17 epiphany-3.4.1-1.fc17 gobject-introspection-1.32.1-1.fc17 aisleriot-3.2.3.2-2.fc17 at-spi2-core-2.4.1-1.fc17 baobab-3.4.1-1.fc17 brasero-3.4.1-1.fc17 cheese-3.4.1-1.fc17 control-center-3.4.1-1.fc17 devhelp-3.4.1-1.fc17 empathy-3.4.1-1.fc17 eog-3.4.1-1.fc17 file-roller-3.4.1-1.fc17 folks-0.6.9-1.fc17 gcalctool-6.4.1.1-1.fc17 gcr-3.4.1-1.fc17 gedit-3.4.1-1.fc17 glib-networking-2.32.1-1.fc17 gnome-applets-3.4.1-1.fc17 gnome-backgrounds-3.4.1-1.fc17 gnome-boxes-3.4.1-1.fc17 gnome-desktop3-3.4.1-2.fc17 gnome-devel-docs-3.4.1-1.fc17 gnome-documents-0.4.1-1.fc17 gnome-games-3.4.1-1.fc17 gnome-keyring-3.4.1-1.fc17 gnome-online-accounts-3.4.1-1.fc17 gnome-panel-3.4.1-1.fc17 gnome-screenshot-3.4.1-1.fc17 gnome-session-3.4.1-1.fc17 gnome-shell-3.4.1-2.fc17 gnome-system-monitor-3.4.1-1.fc17 gnome-terminal-3.4.1.1-1.fc17 gnome-user-docs-3.4.1-1.fc17 gtksourceview3-3.4.1-1.fc17 gucharmap-3.4.1.1-1.fc17 gvfs-1.12.1-2.fc17 libgdata-0.12.0-1.fc17 libgnome-keyring-3.4.1-2.fc17 librsvg2-2.36.1-1.fc17 libsoup-2.38.1-1.fc17 mutter-3.4.1-2.fc17 orca-3.4.1-2.fc17 sushi-0.4.1-1.fc17 vinagre-3.4.1-1.fc17 vino-3.4.1-1.fc17 vte3-0.32.1-1.fc17 yelp-3.4.1-1.fc17 yelp-tools-3.4.1-1.fc17 yelp-xsl-3.4.1-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6123/epiphany-3.4.1-1.fc17,gobject-introspection-1.32.1-1.fc17,cogl-1.10.2-1.fc17,aisleriot-3.2.3.2-2.fc17,at-spi2-core-2.4.1-1.fc17,baobab-3.4.1-1.fc17,brasero-3.4.1-1.fc17,cheese-3.4.1-1.fc17,control-center-3.4.1-1.fc17,devhelp-3.4.1-1.fc17,empathy-3.4.1-1.fc17,eog-3.4.1-1.fc17,file-roller-3.4.1-1.fc17,folks-0.6.9-1.fc17,gcalctool-6.4.1.1-1.fc17,gcr-3.4.1-1.fc17,gedit-3.4.1-1.fc17,glib-networking-2.32.1-1.fc17,gnome-applets-3.4.1-1.fc17,gnome-backgrounds-3.4.1-1.fc17,gnome-boxes-3.4.1-1.fc17,gnome-desktop3-3.4.1-2.fc17,gnome-devel-docs-3.4.1-1.fc17,gnome-documents-0.4.1-1.fc17,gnome-games-3.4.1-1.fc17,gnome-keyring-3.4.1-1.fc17,gnome-online-accounts-3.4.1-1.fc17,gnome-panel-3.4.1-1.fc17,gnome-screenshot-3.4.1-1.fc17,gnome-session-3.4.1-1.fc17,gnome-shell-3.4.1-2.fc17,gnome-system-monitor-3.4.1-1.fc17,gnome-terminal-3.4.1.1-1.fc17,gnome-user-docs-3.4.1-1.fc17,gtksourceview3-3.4.1-1.fc17,gucharmap-3.4.1.1-1.fc17,gvfs-1.12.1-2.fc17,libgdata-0.12.0-1.fc17,libgnome-keyring-3.4.1-2.fc17,librsvg2-2.36.1-1.fc17,libsoup-2.38.1-1.fc17,mutter-3.4.1-2.fc17,orca-3.4.1-2.fc17,sushi-0.4.1-1.fc17,vinagre-3.4.1-1.fc17,vino-3.4.1-1.fc17,vte3-0.32.1-1.fc17,yelp-3.4.1-1.fc17,yelp-tools-3.4.1-1.fc17,yelp-xsl-3.4.1-1.fc17
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2012-04-22 04:17:08 UTC
cogl-1.10.2-1.fc17, epiphany-3.4.1-1.fc17, gobject-introspection-1.32.1-1.fc17, aisleriot-3.2.3.2-2.fc17, at-spi2-core-2.4.1-1.fc17, baobab-3.4.1-1.fc17, brasero-3.4.1-1.fc17, cheese-3.4.1-1.fc17, control-center-3.4.1-1.fc17, devhelp-3.4.1-1.fc17, empathy-3.4.1-1.fc17, eog-3.4.1-1.fc17, file-roller-3.4.1-1.fc17, folks-0.6.9-1.fc17, gcalctool-6.4.1.1-1.fc17, gcr-3.4.1-1.fc17, gedit-3.4.1-1.fc17, glib-networking-2.32.1-1.fc17, gnome-applets-3.4.1-1.fc17, gnome-backgrounds-3.4.1-1.fc17, gnome-boxes-3.4.1-1.fc17, gnome-desktop3-3.4.1-2.fc17, gnome-devel-docs-3.4.1-1.fc17, gnome-documents-0.4.1-1.fc17, gnome-games-3.4.1-1.fc17, gnome-keyring-3.4.1-1.fc17, gnome-online-accounts-3.4.1-1.fc17, gnome-panel-3.4.1-1.fc17, gnome-screenshot-3.4.1-1.fc17, gnome-session-3.4.1-1.fc17, gnome-shell-3.4.1-2.fc17, gnome-system-monitor-3.4.1-1.fc17, gnome-terminal-3.4.1.1-1.fc17, gnome-user-docs-3.4.1-1.fc17, gtksourceview3-3.4.1-1.fc17, gucharmap-3.4.1.1-1.fc17, gvfs-1.12.1-2.fc17, libgdata-0.12.0-1.fc17, libgnome-keyring-3.4.1-2.fc17, librsvg2-2.36.1-1.fc17, libsoup-2.38.1-1.fc17, mutter-3.4.1-2.fc17, orca-3.4.1-2.fc17, sushi-0.4.1-1.fc17, vinagre-3.4.1-1.fc17, vino-3.4.1-1.fc17, vte3-0.32.1-1.fc17, yelp-3.4.1-1.fc17, yelp-tools-3.4.1-1.fc17, yelp-xsl-3.4.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.